Bug 54625

Summary: [chromium] GradientSkia: use the common Gradient stop sorting methods.
Product: WebKit Reporter: noel gordon <noel.gordon>
Component: CSSAssignee: noel gordon <noel.gordon>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, commit-queue, eric, jamesr, reed, senorblanco, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: Windows 7   
Bug Depends on:    
Bug Blocks: 55742    
Attachments:
Description Flags
Patch
none
patch - merge and reupload
none
patch - merge and reupload #2 none

Description noel gordon 2011-02-17 01:22:58 PST
Address a code FIXME.
Comment 1 noel gordon 2011-02-17 01:27:39 PST
Created attachment 82768 [details]
Patch
Comment 2 James Robinson 2011-02-17 11:04:27 PST
Comment on attachment 82768 [details]
Patch

R=me
Comment 3 WebKit Commit Bot 2011-02-18 18:32:26 PST
Comment on attachment 82768 [details]
Patch

Rejecting attachment 82768 [details] from commit-queue.

Failed to run "['./Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '--bot-id=cr-jail-3', 'land-a..." exit_code: 2

Last 500 characters of output:
c (refs/remotes/trunk)
	M	Source/WebCore/ChangeLog
	M	Source/WebCore/platform/graphics/skia/GradientSkia.cpp
r79063 = 29f47ae159022f5b8d71afc2ca3b29c700d3739a (refs/remotes/trunk)
	M	Source/WebKit2/ChangeLog
	M	Source/WebKit2/WebProcess/WebCoreSupport/WebFrameLoaderClient.cpp
	M	Source/WebKit2/WebProcess/WebPage/WebPage.cpp
r79064 = 8c69a75bf9b2ef43953139bbda1848f2a4ca9f84 (refs/remotes/trunk)
First, rewinding head to replay your work on top of it...
Fast-forwarded master to refs/remotes/trunk.

Full output: http://queues.webkit.org/results/7939200
Comment 4 James Robinson 2011-02-18 18:47:48 PST
Looks like this doesn't apply to ToT any more.  Would you mind merging+uploading, Noel?
Comment 5 WebKit Commit Bot 2011-02-18 19:01:56 PST
The commit-queue encountered the following flaky tests while processing attachment 82768 [details]:

http/tests/security/cross-frame-access-port-explicit-domain.html bug 54668 (author: sam@webkit.org)
The commit-queue is continuing to process your patch.
Comment 6 noel gordon 2011-02-19 16:54:07 PST
(In reply to comment #4)
> Looks like this doesn't apply to ToT any more.  Would you mind merging+uploading, Noel?

No worries. I'm away for a week, and will merge+upload on my return.
Comment 7 noel gordon 2011-02-27 21:48:56 PST
Created attachment 84015 [details]
patch - merge and reupload
Comment 8 WebKit Review Bot 2011-02-27 21:51:26 PST
Attachment 84015 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebCore/ChangeLog', u'Source/WebCor..." exit_code: 1

Source/WebCore/platform/graphics/skia/GradientSkia.cpp:118:  One or more unexpected \r (^M) found; better to use only a \n  [whitespace/carriage_return] [1]
Suppressing further [whitespace/carriage_return] reports for this file.
Total errors found: 1 in 2 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 9 noel gordon 2011-02-27 21:55:18 PST
Created attachment 84016 [details]
patch - merge and reupload #2
Comment 10 WebKit Commit Bot 2011-02-28 17:31:14 PST
The commit-queue encountered the following flaky tests while processing attachment 84016 [details]:

http/tests/websocket/tests/close-on-navigate-new-location.html bug 55431 (author: abarth@webkit.org)
The commit-queue is continuing to process your patch.
Comment 11 WebKit Commit Bot 2011-02-28 17:34:07 PST
Comment on attachment 84016 [details]
patch - merge and reupload #2

Clearing flags on attachment: 84016

Committed r79950: <http://trac.webkit.org/changeset/79950>
Comment 12 WebKit Commit Bot 2011-02-28 17:34:11 PST
All reviewed patches have been landed.  Closing bug.
Comment 13 WebKit Review Bot 2011-02-28 18:03:37 PST
http://trac.webkit.org/changeset/79950 might have broken SnowLeopard Intel Release (Build)